Skip to main content
PATCH
Update an Originator

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

Idempotency key

Maximum string length: 255

Path Parameters

originator_id
string
required

The ID of the originator to be retrieved.

Pattern: ^originator_\w+$

Body

application/json
ach
object

ACH controls for updating originators.

company_name
string
metadata
object

A set of key-value pairs that can be used to store additional information related to this object.

Response

Successful response

id
string

The ID of the Originator.

Pattern: ^originator_\w+$
Example:

"originator_xyz123"

account_id
string

The ID of the Account object.

Pattern: ^account_\w+$
Example:

"account_xyz123"

entity_id
string

The ID of your entity.

Pattern: ^entity_[^\s]{1,33}$
Example:

"entity_xyz123"

status
enum<string>

Originator Status

Available options:
pending,
active,
inactive,
rejected,
canceled,
suspended
Example:

"active"

company_name
string
Maximum string length: 16
Example:

"Acme Inc."

company_id
string

ACH Company Id

Pattern: ^\d{10}$
Example:

1234567890

ach
object

ACH controls for originators.

metadata
object

A set of key-value pairs that can be used to store additional information related to this object.

created_at
string<date-time>
Example:

"2022-06-27T11:22:33Z"

updated_at
string<date-time>
Example:

"2022-06-27T11:22:33Z"